#!/bin/sh

JAVAC=~/j2sdk1.4.1_01/bin/javac
BIN_DIR=./bin
SRC_DIR=./src
JRE_DIR=~/j2sdk1.4.1_01/jre

echo compiling sources...
test ! -d ${BIN_DIR} && mkdir ${BIN_DIR}
${JAVAC} -d ${BIN_DIR} -sourcepath ${SRC_DIR} -classpath ${JRE_DIR}/lib/jsse.jar `find . -name *.java`

echo copying images...
cp -r ${SRC_DIR}/skyrix/gui/images ${BIN_DIR}/skyrix/gui

echo executing...
${JRE_DIR}/bin/java -cp ${BIN_DIR}:${JRE_DIR}/lib/jsse.jar skyrix.Organizer
